

; globals for the VESA interface (VESA.ASM)
extern _VBE_TotalMemory                          ;word - size of video RAM in KB
extern _VBE_VBEVersion                           ;word - BCD version of VESA interface
extern _VBE_NumberOfMode                         ;dword - total number of graphics modes
extern _VBE_Gfx_Mode                             ;word - physical number of mode found
extern _VBE_VRAM_Address                         ;dword - pointer to Video RAM
extern _VBE_BytesPerScanLine                     ;dword - width in bytes of VESA mode
extern _VBE_LFBAvailable                         ;byte - if = 1 then LFB is available
extern _VBE_PMODEInterface                       ;byte - if = 1 then PMODE is available
extern _VBE_PMODEBankSwitch                      ;byte - if = 1 then PM Bank switch ok
extern _VBE_Msg_Table                            ;dword - pointer to VESA errors
extern _VBE_NumberOfMemoryPages                  ;byte - for the current mode
extern _VBE_VirtualScreenAddress                 ;dword - pointer to Virtual Screen
extern _VBE_FirstByteBeyondVirtualScreen         ;dword - pointer to end of Virtual Screen
extern _VBE_CurrentPageMappingSize               ;dword - size in bytes of the current page
extern _VBE_TotalMappingSize                     ;dword - size of video RAM in bytes
extern _VBE_XResolution                          ;dword - X resolution of the current mode
extern _VBE_YResolution                          ;dword - Y resolution of the current mode
extern _VBE_BitsPerPixel                         ;dword - Bits per Pixel of the current mode
extern _VBE_CalcBitsPerPixel                     ;dword - if 15 then 16
extern _VBE_CalcBitsPerPixel2                    ;dword - bpp shr 3
extern _ROM_Font                                 ;dword - pointer to system font
extern _VideoMemory_StartAddress                 ;dword - pointer to start of Linear Framebuffer
extern _CheckVESA                                ;proc
extern _InitVESAMode                             ;proc
extern _SetVBEMode                               ;proc
extern _CloseVBEMode                             ;proc
extern _PutVESAScreen                            ;proc
extern _WaitRetrace                              ;proc
extern _Flip                                     ;proc
extern _IncreaseResolution                       ;proc
extern _DecreaseResolution                       ;proc
extern _GetROMFont                               ;proc


; globals for the file formats (FFORMATS.ASM)
extern _PcxUnpack                                ;proc
extern _ActivePcxPal                             ;proc


; globals for the drawing functions (DRAW.ASM)
extern _XLine                                    ;proc
extern _FTriangle                                ;proc
extern _PutText                                  ;proc
extern _ScrollText                               ;proc
extern _Line                                     ;proc
extern _Circle                                   ;proc
extern _PutPIxel                                 ;proc
extern _GetPixel                                 ;proc
extern _CheckScrollTextLength                    ;proc
extern _WriteWordSVGA                            ;proc
extern _WriteCharSVGA                            ;proc
extern _CreateColor                              ;proc


; globals for the interrupt functions (INT.ASM)
extern _exit_program                             ;proc
extern _key_init                                 ;proc
extern _key_deinit                               ;proc
extern _key_table	                               ;pointer to array of byte


